{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block content %}

<form class="from-horizontal" method="post"  enctype="multipart/form-data">
    {% csrf_token %}
<div class="box box-primary">
        <fieldset>
            <div>
            <p style="border-bottom: 2px solid rgb(196, 194, 194)">&nbsp;Upload Allowance</p><br><br>
                <div class="form-group" style="padding-bottom: 5%;text-align: center">
                    <div class="col-sm-10" style="margin-left: 10%;">
                    <div class="control-label col-sm-7">Upload Allowance. <span style="color: red">*</span> : </div>
                        <div class="col-sm-4" style="margin-top: 0%;margin-left: -20%;" >
                            <fieldset><input class="input" type="file" name="Allowance"></fieldset><br>
                            <input type="submit" name="Save" value="Save">
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>
        <fieldset>
                <div>
                    <div class="form-group">
                        <div class="col-sm-10" style="margin-left: 3%;color: forestgreen">
                            {% autoescape off %}
                            <p>{{lblMsg}}</p>
                            {% endautoescape %}
                        </div>
                    </div>
                </div>
            </fieldset>
    <div class="box-header with-border">
        <h3 class="box-title">Allowance Master</h3>
    </div>
    <table class="table table-bordered">
        <thead>
        <tr>
            <th>Dealer</th>
            <th>Brand</th>
            <th>Scheme Category Code</th>
            <th>Discount Percent</th>
            <th>Discount Amount</th>
        </tr>
        </thead>
        <tbody>
            {% for allow in allowance %}
                <tr>
                    <td>{{allow.dealer}}</td>
                    <td>{{allow.brand}}</td>
                    <td>{{allow.scheme_category_code}}</td>
                    <td>{{allow.discount_percent}}</td>
                    <td>{{allow.discount_amount}}</td>
                    <td>
                        <a href="{% url 'create_allowance' %}">Edit</a>
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
</div>
</form>
{% endblock %}